Bug 169428 - repetitive keystroke issue on both RH3 U5 32bit and RH4 U1 32bit.
repetitive keystroke issue on both RH3 U5 32bit and RH4 U1 32bit.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
David Lawrence
Depends On: 202071
  Show dependency treegraph
Reported: 2005-09-28 03:49 EDT by leon
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0710
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-19 08:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description leon 2005-09-28 03:49:47 EDT
Description of problem:
repetitive keystroke issue on both RH3 U5 32bit and RH4 U1 32bit. hit key once 
and several key outputs come out. this happened with dual core CPU"opteron 180"
I mean sometimes when type one letter system will show serveal letter in 

I verify and the below is the result:

Single core CPU (like 144)
EL3 U5 32 bit                         no issue
EL4 U1 32 bit pass                   no issue 
EL4 32 bit pass                     no issue

Dual core CPU (180) ( Fail just occur under SMP kernel in Graphic not Text 
mode )
EL3 U5 32 bit                         fail
EL4 U1 32 bit                         fail 
EL4 32 bit                               fail
Fedora 3 32 bit                      fail

Fedora 4 64 bit                      no issue
EL3 64 bit                           no issue


Disable "keyboard repeats when key is held down" in keyboard option.

I try to uninstall the control-center RPM package, but if use xset r on, the 
issue still occurs. So I think it has relationship with Xfree86 not control-
center and the issue just occur on SMP kernel of 32 bit OS with dual core CPU 
like opteron 180 under Graphic not Text mode.

PS: Whatever I change the value of rate with xset r rate xxx xxx, the issue 
still occurs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install EL3 or EL4 with Opteron dual core CPU
2.boot with SMP kernel
3.Click keyboard, For example"abcdef"
Actual results:  "abcdef"

Expected results:"aaaaabbbbbcccddeefff"

Additional info:the issue just occur on SMP kernel of 32 bit OS with dual core 
CPU like opteron 180 under Graphic not Text mode.
Comment 1 leon 2005-09-28 06:09:59 EDT
Seem have the seem keyboard Problems on Toshiba Laptops under Suse, but it has 
a solution.
Refer tp :

The keyboard of your Toshiba Notebook bounces. Sometimes several characters are 
issued when a key is pressed (briefly). 

The Toshiba keyboard produces an unusual sequence of keyboard events. Actually, 
Toshiba is responsible for fixing this bug. However, the only measure that was 
taken so far was the integration of a workaround in the Windows keyboard 

The X server can be configured in such a way that keyboard events repeated 
within a short period are ignored. To adjust the X server in this way, download 
the xbounce package. This package can be downloaded from the following FTP 

Following the successful download of the package, install it with the command 
rpm -ivh xbounce-1.2-0.i586.rpm. Subsequently, the program will be located in 
the directory /usr/X11R6/bin/ and must now be included in the file .xinitrc as 
follows (excerpt from a .xinitrc file):

# Add your own lines here...


Modify the .xinitrc files of the user root (/root/.xinitrc) and of all users 
who use the graphical user interface. To avoid needing to modify the file when 
creating a user, you can also modify the file /etc/skel/.xinitrc. 

Comment 2 Mike A. Harris 2005-09-28 13:36:10 EDT
Ah yes, I recall this hardware problem.  It's been filed by other people
in the past as well.  The only fix I'm aware of is the workaround mentioned
above.  I'll leave this open for now and try to determine if there is an
alternative workaround/fix for this hardware flaw.

>Modify the .xinitrc files of the user root (/root/.xinitrc) and of all users 
>who use the graphical user interface. To avoid needing to modify the file when 
>creating a user, you can also modify the file /etc/skel/.xinitrc. 

I'd suggest adding it to /etc/X11/xinit/xinitrc-common or in older OS releases
the xinitrc and Xsession scripts instead.  That makes it a global workaround
in one spot.

Hope this helps.
Comment 4 leon 2005-09-28 22:06:37 EDT
Thanks, but the workaround mentioned just fix the issue on Suse OS not RedHat 
OS, SO would you provide the workaround or explanation which can fix the issue 
on RedHat?
Comment 5 leon 2005-09-29 01:49:44 EDT
Additional Message: I try with Fedora 3 and has the issue, but no issue with 
Fedora 4.
Comment 6 leon 2005-10-07 22:53:54 EDT
Has any update?

Comment 7 Mike A. Harris 2005-10-12 02:25:02 EDT
Support Note (copied from http://bugzilla.redhat.com main page for reference):

Thank you for visiting Bugzilla. Bugzilla is the Red Hat bug-tracking system and
is used to submit and review defects that have been found in Red Hat
distributions. Bugzilla is not an avenue for technical assistance or support,
but simply a bug tracking system. If you submit a defect, please provide
detailed information in your submission after you have queried Bugzilla to
ensure the defect has not been reported yet. Defects will go directly to the
engineer responsible for the component you filed the defect against. Engineers
have many responsibilities and will get to your defect in due time.

If you are a Red Hat Enterprise Linux customer and have an active support
entitlement, please log in to Red Hat Support for assistance with your issue. If
you are a Fedora Project user and require assistance, please consider using one
of the mailing lists we host for the Fedora Project.

Hope this helps.
Comment 8 Karl Auerbach 2005-12-14 18:56:28 EST
This problem occurs on a FC4 box 2.6.14-1.1644_FC4smp with a dual-core AMD
X2/64-bit but with the kernel rebuilt to have preemptive kernel scheduling an a
1000hz clock rate.  (The problem was present on earlier kernel's as well.)

Motherboard is Asus A8N5X (Manual at
http://dlsvr03.asus.com/pub/ASUS/mb/socket939/A8N5X/e2138_a8n5x.pdf )

The problems shows up in xterm and also in the console when X is not running.

The problem is intermittent - it comes for a while and then goes away for a while.

The problem "feels" as if it has something to do with the dual-core cpu and I'd
consider looking at the code that deals with keyboard interrupt to see if
there's a race condition around clearing of the keyboard input or interrupt
Comment 9 Ernie Petrides 2006-09-08 17:06:36 EDT
This is a dup of confidential bug 202071.
Comment 10 Ernie Petrides 2006-10-10 18:18:17 EDT
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.2.EL).
Comment 11 Ernie Petrides 2006-10-13 17:49:28 EDT
A fix for this problem has also been committed to the RHEL3 E9
patch pool this evening (in kernel version 2.4.21-47.0.1.EL).
Comment 14 Red Hat Bugzilla 2006-10-19 08:39:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.